通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Cluster Managers - Update Relay Private Endpoint Connection

更新由指定集群管理器管理的 Azure Relay 命名空间的私有端点连接。 利用此作批准或拒绝由集群管理器管理的中继命名空间的待处理私有端点连接请求。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/clusterManagers/{clusterManagerName}/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

URI 参数

名称 必需 类型 说明
clusterManagerName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9-_]{0,28}[a-zA-Z0-9])$

群集管理器的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
connectionState True

RelayPrivateEndpointConnectionState

为专用终结点连接设置的状态。

privateEndpointResourceId True

string (arm-id)

允许或拒绝与中继命名空间连接的私有端点的资源ID。

description

string

描述用于关联私有端点连接。

响应

名称 类型 说明
202 Accepted

已接受资源作。

标头

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Approve private endpoint connection
Reject private endpoint connection

Approve private endpoint connection

示例请求

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Approved",
  "description": "Approving private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

示例响应

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

Reject private endpoint connection

示例请求

POST https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusterManagers/clusterManagerName/updateRelayPrivateEndpointConnection?api-version=2026-01-01-preview

{
  "connectionState": "Rejected",
  "description": "Rejecting private endpoint connection",
  "privateEndpointResourceId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
}

示例响应

Location: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview

定义

名称 说明
ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters表示由集群管理器管理的私有中继私有中继私有端点连接的批准或拒绝请求的正文。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

RelayPrivateEndpointConnectionState

为专用终结点连接设置的状态。

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters

ClusterManagerUpdateRelayPrivateEndpointConnectionParameters表示由集群管理器管理的私有中继私有中继私有端点连接的批准或拒绝请求的正文。

名称 类型 说明
connectionState

RelayPrivateEndpointConnectionState

为专用终结点连接设置的状态。

description

string

描述用于关联私有端点连接。

privateEndpointResourceId

string (arm-id)

允许或拒绝与中继命名空间连接的私有端点的资源ID。

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

RelayPrivateEndpointConnectionState

为专用终结点连接设置的状态。

说明
Approved

私有端点连接已获批准。

Rejected

私有端点连接被拒绝。